- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Properties | Friends

# QPinchGesture Class Reference

Search for all occurrences

## Detailed Description

Definition at line 136 of file qgesture.h.

`#include <qgesture.h>`

Inheritance diagram for QPinchGesture:
[legend]

List of all members.

## Public Types
enum | ChangeFlag { ScaleFactorChanged = 0x1, RotationAngleChanged = 0x2, CenterPointChanged = 0x4 }
## Public Member Functions
| QPinchGesture (QObject *parent=0)
ChangeFlags | totalChangeFlags () const
void | setTotalChangeFlags (ChangeFlags value)
ChangeFlags | changeFlags () const
void | setChangeFlags (ChangeFlags value)
QPointF | startCenterPoint () const
QPointF | lastCenterPoint () const
QPointF | centerPoint () const
void | setStartCenterPoint (const QPointF &value)
void | setLastCenterPoint (const QPointF &value)
void | setCenterPoint (const QPointF &value)
qreal | totalScaleFactor () const
qreal | lastScaleFactor () const
qreal | scaleFactor () const
void | setTotalScaleFactor (qreal value)
void | setLastScaleFactor (qreal value)
void | setScaleFactor (qreal value)
qreal | totalRotationAngle () const
qreal | lastRotationAngle () const
qreal | rotationAngle () const
void | setTotalRotationAngle (qreal value)
void | setLastRotationAngle (qreal value)
void | setRotationAngle (qreal value)
## Properties
ChangeFlags | totalChangeFlags
ChangeFlags | changeFlags
qreal | totalScaleFactor
qreal | lastScaleFactor
qreal | scaleFactor
qreal | totalRotationAngle
qreal | lastRotationAngle
qreal | rotationAngle
QPointF | startCenterPoint
QPointF | lastCenterPoint
QPointF | centerPoint
## Friends
class | QPinchGestureRecognizer

## Member Enumeration Documentation

enum ChangeFlag

Search for all occurrences

Enumerator:

  ScaleFactorChanged | Search for all occurrences
  RotationAngleChanged | Search for all occurrences
  CenterPointChanged | Search for all occurrences

Definition at line 143 of file qgesture.h.

                        {
            ScaleFactorChanged = 0x1,
            RotationAngleChanged = 0x2,
            CenterPointChanged = 0x4
        };

## Constructor & Destructor Documentation

QPinchGesture | ( | QObject * | parent = `0` | ) |

## Member Function Documentation

ChangeFlags totalChangeFlags | ( |  | ) | const

Search for all occurrences

void setTotalChangeFlags | ( | ChangeFlags | value | ) |

Search for all occurrences

ChangeFlags changeFlags | ( |  | ) | const

Search for all occurrences

void setChangeFlags | ( | ChangeFlags | value | ) |

Search for all occurrences

QPointF startCenterPoint | ( |  | ) | const

Search for all occurrences

QPointF lastCenterPoint | ( |  | ) | const

Search for all occurrences

QPointF centerPoint | ( |  | ) | const

Search for all occurrences

void setStartCenterPoint | ( | const QPointF & | value | ) |

Search for all occurrences

void setLastCenterPoint | ( | const QPointF & | value | ) |

Search for all occurrences

void setCenterPoint | ( | const QPointF & | value | ) |

Search for all occurrences

qreal totalScaleFactor | ( |  | ) | const

Search for all occurrences

qreal lastScaleFactor | ( |  | ) | const

Search for all occurrences

qreal scaleFactor | ( |  | ) | const

Search for all occurrences

void setTotalScaleFactor | ( | qreal | value | ) |

Search for all occurrences

void setLastScaleFactor | ( | qreal | value | ) |

Search for all occurrences

void setScaleFactor | ( | qreal | value | ) |

Search for all occurrences

qreal totalRotationAngle | ( |  | ) | const

Search for all occurrences

qreal lastRotationAngle | ( |  | ) | const

Search for all occurrences

qreal rotationAngle | ( |  | ) | const

Search for all occurrences

void setTotalRotationAngle | ( | qreal | value | ) |

Search for all occurrences

void setLastRotationAngle | ( | qreal | value | ) |

Search for all occurrences

void setRotationAngle | ( | qreal | value | ) |

Search for all occurrences

## Friends And Related Function Documentation

friend class QPinchGestureRecognizer `[friend]`

Search for all occurrences

Definition at line 195 of file qgesture.h.

## Property Documentation

ChangeFlags totalChangeFlags `[read, write]`

Search for all occurrences

Definition at line 150 of file qgesture.h.

ChangeFlags changeFlags `[read, write]`

Search for all occurrences

Definition at line 151 of file qgesture.h.

qreal totalScaleFactor `[read, write]`

Search for all occurrences

Definition at line 153 of file qgesture.h.

qreal lastScaleFactor `[read, write]`

Search for all occurrences

Definition at line 154 of file qgesture.h.

qreal scaleFactor `[read, write]`

Search for all occurrences

Definition at line 155 of file qgesture.h.

qreal totalRotationAngle `[read, write]`

Search for all occurrences

Definition at line 157 of file qgesture.h.

qreal lastRotationAngle `[read, write]`

Search for all occurrences

Definition at line 158 of file qgesture.h.

qreal rotationAngle `[read, write]`

Search for all occurrences

Definition at line 159 of file qgesture.h.

QPointF startCenterPoint `[read, write]`

Search for all occurrences

Definition at line 161 of file qgesture.h.

QPointF lastCenterPoint `[read, write]`

Search for all occurrences

Definition at line 162 of file qgesture.h.

QPointF centerPoint `[read, write]`

Search for all occurrences

Definition at line 163 of file qgesture.h.

The documentation for this class was generated from the following file:

- QtGui/qgesture.h

QPinchGesture QPinchGesture QPinchGesture QPinchGesture QPinchGesture QPinchGesture QPinchGesture QPinchGesture QPinchGesture QPinchGesture
QPinchGesture QPinchGesture QPinchGesture QPinchGesture QPinchGesture QPinchGesture QPinchGesture QPinchGesture QPinchGesture QPinchGesture